org.apache.solr.servlet

## Class HttpSolrCall

- java.lang.Object
- - org.apache.solr.servlet.HttpSolrCall

-     public class HttpSolrCall
      extends Object

  This class represents a call made to Solr

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.solr.servlet.SolrDispatchFilter.Action` | `action`
    `protected List<String>` | `collectionsList`
    `protected SolrConfig` | `config`
    `protected SolrCore` | `core`
    `protected CoreContainer` | `cores`
    `protected String` | `coreUrl`
    `protected SolrRequestHandler` | `handler`
    `protected Map<String,Integer>` | `invalidStates`
    `protected String` | `path`
    `protected SolrParams` | `queryParams`
    `protected javax.servlet.http.HttpServletRequest` | `req`
    `protected AuthorizationContext.RequestType` | `requestType`
    `protected javax.servlet.http.HttpServletResponse` | `response`
    `protected boolean` | `retry`
    `protected SolrDispatchFilter` | `solrDispatchFilter`
    `protected SolrQueryRequest` | `solrReq`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpSolrCall(SolrDispatchFilter solrDispatchFilter, CoreContainer cores, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, boolean retry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.solr.servlet.SolrDispatchFilter.Action` | `call()` This method processes the request.
    `protected void` | `execute(SolrQueryResponse rsp)`
    `List<String>` | `getCollectionsList()`
    `SolrCore` | `getCore()`
    `String` | `getPath()`
    `SolrParams` | `getQueryParams()`
    `javax.servlet.http.HttpServletRequest` | `getReq()`
    `AuthorizationContext.RequestType` | `getRequestType()`
    `protected void` | `sendError(int code, String message)`
    `protected void` | `sendError(Throwable ex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### solrDispatchFilter

          protected final SolrDispatchFilter solrDispatchFilter

    - #### cores

          protected final CoreContainer cores

    - #### req

          protected final javax.servlet.http.HttpServletRequest req

    - #### response

          protected final javax.servlet.http.HttpServletResponse response

    - #### retry

          protected final boolean retry

    - #### core

          protected SolrCore core

    - #### solrReq

          protected SolrQueryRequest solrReq

    - #### handler

          protected SolrRequestHandler handler

    - #### queryParams

          protected final SolrParams queryParams

    - #### path

          protected String path

    - #### action

          protected org.apache.solr.servlet.SolrDispatchFilter.Action action

    - #### coreUrl

          protected String coreUrl

    - #### config

          protected SolrConfig config

    - #### invalidStates

          protected Map<String,Integer> invalidStates

    - #### requestType

          protected AuthorizationContext.RequestType requestType

    - #### collectionsList

          protected List<String> collectionsList

  - ### Constructor Detail

    - #### HttpSolrCall

          public HttpSolrCall(SolrDispatchFilter solrDispatchFilter,
                              CoreContainer cores,
                              javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response,
                              boolean retry)

  - ### Method Detail

    - #### getRequestType

          public AuthorizationContext.RequestType getRequestType()

    - #### getCollectionsList

          public List<String> getCollectionsList()

    - #### getPath

          public String getPath()

    - #### getReq

          public javax.servlet.http.HttpServletRequest getReq()

    - #### getCore

          public SolrCore getCore()

    - #### getQueryParams

          public SolrParams getQueryParams()

    - #### call

          public org.apache.solr.servlet.SolrDispatchFilter.Action call()
                                                                 throws IOException

      This method processes the request.
      Throws:
        `IOException`

    - #### sendError

          protected void sendError(Throwable ex)
                            throws IOException

      Throws:
        `IOException`

    - #### sendError

          protected void sendError(int code,
                                   String message)
                            throws IOException

      Throws:
        `IOException`

    - #### execute

          protected void execute(SolrQueryResponse rsp)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.